using Edu.Common.Enum;
using Edu.Model.Entity.OKR;
using Edu.Model.ViewModel.OKR;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VT.FW.DB.Dapper;

namespace Edu.Repository.OKR
{
    /// <summary>
    /// OKR进度更新记录仓储层
    /// </summary>
    public class RB_OKR_UpdateProgressRepository : BaseRepository<RB_OKR_UpdateProgress>
    {

        /// <summary>
        /// 获取列表
        /// </summary>
        /// <param name="demodel"></param>
        /// <returns></returns>
        public List<RB_OKR_UpdateProgress> GetList(RB_OKR_UpdateProgress demodel)
        {
            string where = $@" 1=1 ";
            if (demodel.Group_Id > 0)
            {
                where += $@" and {nameof(RB_OKR_UpdateProgress.Group_Id)} ={demodel.Group_Id}";
            }
            if (demodel.PeriodId > 0)
            {
                where += $@" and {nameof(RB_OKR_UpdateProgress.PeriodId)} ={demodel.PeriodId}";
            }
            if (demodel.UserId > 0)
            {
                where += $@" and {nameof(RB_OKR_UpdateProgress.UserId)} ={demodel.UserId}";
            }

            string sql = $@" select * from RB_OKR_UpdateProgress where {where} order by Id desc";
            return Get<RB_OKR_UpdateProgress>(sql).ToList();
        }

    }
}
